
Tripnet - Bug #40633
Train Fare Update case
06/01/2018 04:15 pm - Sreerag Prasannan

Status: Closed Start date: 06/04/2018
Priority: High Due date: 06/05/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 4.70 hours
End_Date: 06/05/2018 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

When fare update came for train, the loader and button also displayed.

Also the train voucher didnt came, blank displayed. Please fix.

attached error logs and screenshot.

History
#1 - 06/01/2018 04:15 pm - Sreerag Prasannan
- Project changed from 3otolat_Cax to Tripnet
- Category deleted (Functionality)

#2 - 06/01/2018 04:15 pm - Sreerag Prasannan
- Category set to Functionality

#3 - 06/04/2018 02:07 pm - Vipin das
- Due date set to 06/04/2018
- Status changed from New to Assigned
- Assignee set to Jils Thomas
- Start date changed from 06/01/2018 to 06/04/2018

#4 - 06/04/2018 03:42 pm - Jils Thomas
- Status changed from Assigned to In Progress

#5 - 06/04/2018 05:13 pm - Vipin das
- Due date changed from 06/04/2018 to 06/05/2018

#6 - 06/04/2018 05:16 pm - Jils Thomas
- % Done changed from 0 to 50

#7 - 06/05/2018 10:14 am - Jils Thomas
- Status changed from In Progress to Fixed not Tested
- % Done changed from 50 to 100
- End_Date set to 06/05/2018

    -  Booking Button and loader showing simultaneously issue is solved
    -  Fare update by a last decimal place is avoided (which occurred due to our rounding after fare summary calculation) and ticketing proceeded.
    -  Pax related (child min age when search in round trip) booking failures are handled.

Other booking failures found in present conditions are also handled with proper messages.

#8 - 06/11/2018 12:45 pm - Sreerag Prasannan
- File Fare update.png added
- File 11-04-2018-15-06_Log.txt added
- File 11-06-2018-15-06_Log.txt added
- File BCN_6-20-2018_MAD_6-28-2018_RoundTrip_TF_Train.zip added
- Assignee deleted (Jils Thomas)

Now booking is failed, Please check. As per comments ticket must be displayed. Attached logs.
I checked with 1 adult ,1 child, I infant.

round trip.

#9 - 06/11/2018 12:45 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Not Fixed
- Assignee set to Jils Thomas

#10 - 06/12/2018 09:44 am - Jils Thomas
- Status changed from Not Fixed to In Progress

#11 - 06/12/2018 09:56 am - Jils Thomas
- Status changed from In Progress to Need more info
- Assignee changed from Jils Thomas to Sreerag Prasannan

As per the error logs it seems that the remote server was down at the moment when this booking has been done.

To ensure what happened exactly in the that situation, Please book another ticket with same scenario and must attach the screen shot of final ticket
screen along with the error and xml logs

#12 - 06/12/2018 11:39 am - Sreerag Prasannan
- Status changed from Need more info to Closed
- Assignee deleted (Sreerag Prasannan)

closing case , as per above jils comments it might be due  to travel fusion server down case. Now ticket generated.

Files
Train.png 71.2 KB 06/01/2018 Sreerag Prasannan
PAR_6-13-2018_AMS_6-26-2018_RoundTrip_TF_Train.zip 23.6 KB 06/01/2018 Sreerag Prasannan
01-40-2018-18-06_Log.txt 3.62 KB 06/01/2018 Sreerag Prasannan
Fare update.png 88.8 KB 06/11/2018 Sreerag Prasannan
11-06-2018-15-06_Log.txt 3.19 KB 06/11/2018 Sreerag Prasannan
11-04-2018-15-06_Log.txt 432 Bytes 06/11/2018 Sreerag Prasannan
BCN_6-20-2018_MAD_6-28-2018_RoundTrip_TF_Train.zip 45.6 KB 06/11/2018 Sreerag Prasannan
